#ifndef COMMANDS_H_
#define COMMANDS_H_

enum Command
{
	POWER_ON = 0x01,
	POWER_OFF = 0x02,
	READ_TRACK_CURRENT = 0x08,
	SET_OVERCURRENT_LIMIT = 0x09,
	READ_INPUT_VOLTAGE = 0x0A,
	MOTOROLA_SPEED = 0x11,
	MOTOROLA_REVERSE = 0x12,
	MOTOROLA_SPEED_DIRECTION = 0x13,
	MOTOROLA_SPEED_FUNCTION = 0x14,
	MOTOROLA_SOLENOID = 0x15,
	COMMAND_OK = 0x80,
	RECEIVE_OVERRUN = 0x81,
	FRAMING_ERROR = 0x82,
	INVALID_COMMAND = 0x83,
	LENGTH_ERROR = 0x84,
	INVALID_VALUE = 0x85,
	OVERCURRENT = 0xA0,
	TRACK_CURRENT = 0xC0,
	INPUT_VOLTAGE = 0xC1
};

#endif
