#ifndef SERIAL_H_
#define SERIAL_H_

#include <avr/interrupt.h>

#define SERIAL_SET_CALLBACK(f) \
	ISR(USART_RX_vect) \
	{ \
		char c = UDR0; \
		f(c); \
	}

void serial_init(uint16_t);
void serial_write(uint8_t);

#endif
